Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(126)

Issue 2530503003: Add --enable-true-color-rendering flag (Closed)

Created:
2 years, 6 months ago by ccameron
Modified:
2 years, 5 months ago
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, alemate+watch_chromium.org, creis+watch_chromium.org, Ian Vollick, jam, nasko+codewatch_chromium.org, achuith+watch_chromium.org, blink-reviews-api_chromium.org, jbauman+watch_chromium.org, danakj+watch_chromium.org, dglazkov+blink, darin-cc_chromium.org, oshima+watch_chromium.org, kalyank, blink-reviews, piman+watch_chromium.org, cc-bugs_chromium.org, kinuko+watch, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add --enable-true-color-rendering flag This feature has been split off from --enable-color-correct-rendering enable-color-correct-rendering is a tweaking of the existing color awareness to be more consistent and robust, and will only be noticeable on non-sRGB monitor. enable-true-color-rendering does all blending and interpolation operations in a physically correct linear space, and has perceptually noticeable differences on all monitors. TBR=achuith,avi,pdr BUG=667433 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Committed: https://crrev.com/41530d89b006f3f25c03a074a0eb217ab6caee0a Cr-Commit-Position: refs/heads/master@{#434909}

Patch Set 1 #

Patch Set 2 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+31 lines, -5 lines) Patch
M cc/base/switches.h View 1 chunk +1 line, -0 lines 0 comments Download
M cc/base/switches.cc View 1 chunk +6 lines, -1 line 0 comments Download
M chrome/browser/chromeos/login/chrome_restart_request.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host_impl.cc View 1 1 chunk +5 lines, -1 line 0 comments Download
M content/public/common/common_param_traits_macros.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/web_preferences.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor.cc View 1 chunk +2 lines, -1 line 0 comments Download
M content/renderer/render_view_impl.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/RuntimeEnabledFeatures.in View 1 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/web/WebRuntimeFeatures.cpp View 1 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebRuntimeFeatures.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M ui/compositor/compositor.cc View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 29 (19 generated)
ccameron
Adding enne@ for the general idea (will TBR the remaining 15 non-security owners) Adding tsepez@ ...
2 years, 6 months ago (2016-11-23 21:41:05 UTC) #7
Tom Sepez
messages LGTM
2 years, 6 months ago (2016-11-23 21:43:33 UTC) #8
ccameron
Adding junov@ for the overall plan (we'd discussed this in NC)
2 years, 5 months ago (2016-11-28 19:45:28 UTC) #12
Tom Sepez
On 2016/11/28 19:45:28, ccameron wrote: > Adding junov@ for the overall plan (we'd discussed this ...
2 years, 5 months ago (2016-11-28 19:46:51 UTC) #13
enne (OOO)
General approach lgtm
2 years, 5 months ago (2016-11-28 20:50:01 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2530503003/1
2 years, 5 months ago (2016-11-29 01:29:37 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/113310) ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, ...
2 years, 5 months ago (2016-11-29 01:34:20 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2530503003/20001
2 years, 5 months ago (2016-11-29 04:32:32 UTC) #24
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 5 months ago (2016-11-29 06:13:21 UTC) #27
commit-bot: I haz the power
2 years, 5 months ago (2016-11-29 06:17:02 UTC) #29
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/41530d89b006f3f25c03a074a0eb217ab6caee0a
Cr-Commit-Position: refs/heads/master@{#434909}

Powered by Google App Engine
This is Rietveld 408576698